Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1518184

Summary: Document how to tweak interval between upcall polls for NFS-Ganesha.
Product: Red Hat Gluster Storage Reporter: Ambarish <asoman>
Component: DocumentationAssignee: Chandrakanth Pai <chpai>
Status: CLOSED CURRENTRELEASE QA Contact: Manisha Saini <msaini>
Severity: high Docs Contact:
Priority: unspecified    
Version: rhgs-3.4CC: apaladug, asriram, bturner, chpai, dang, ffilz, jthottan, kkeithle, mbenjamin, msaini, rhinduja, rhs-bugs, sankarshan, skoduri, storage-doc, storage-qa-internal, vdas
Target Milestone: ---Keywords: FutureFeature
Target Release: RHGS 3.4.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-09-10 15:46:04 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1503142    

Description Ambarish 2017-11-28 11:34:54 UTC
Document URL: 
------------

https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.3/html-single/administration_guide/#nfs_ganesha
 

Describe the issue: 
--------------------

With https://bugzilla.redhat.com/show_bug.cgi?id=1481040, one can tweak the interval in which up call polls happen.

**How** :

Up_poll_usec=100000 inside FSAL block and run refresh-config


Internal testing has found that this reduces CPU utilization by the Ganesha porcess.

Caveats , if any need to be documented as well.

Comment 5 Chandrakanth Pai 2018-08-02 15:32:47 UTC
Hi Jiffin,

Could you please provide me the required information so that I can document this for 3.4?

-Chandrakanth

Comment 10 Manisha Saini 2018-08-30 13:27:01 UTC
The changes suggested by jiffin in doc is not there yet 

His comments-

1. better mention ths value in micros second as well
2. Change Volume export file name as in comment#9

Comment 12 Manisha Saini 2018-08-30 17:32:50 UTC
Changes looks good to me.Moving this BZ to verified state